> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Purchased Phone Numbers

> List the purchased phone numbers for this domain



## OpenAPI

````yaml GET /purchased-phone-numbers
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /purchased-phone-numbers:
    get:
      tags:
        - phone-numbers
      summary: /purchased-phone-numbers
      description: List the purchased phone numbers for this domain
      operationId: PurchasedPhoneNumbers
      parameters:
        - name: limit
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
        - name: ending_before
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: starting_after
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: filter_name
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: filter_number
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    total_count: 2
                    data:
                      - name: Acme Enterprises
                        type: purchased_phone_number
                        id: 85a70a9a-e22f-4a8d-8302-bbf1b88dd909
                        pagination_id: 3391
                        created_date: '2025-03-14T04:46:31.000Z'
                        number: '+18058700061'
                        status: verified
                        verified: true
                      - name: Acme Enterprises Dialin
                        type: purchased_phone_number
                        id: 841d430e-bd9e-42c1-8abb-8f35d78b33b9
                        pagination_id: 3392
                        created_date: '2025-02-11T05:46:20.000Z'
                        number: '+16575870006'
                        status: verified
                        verified: true
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````